"""
Файл device.py содержит определение класса IoTDevice, который представляет собой базовый класс
для устройств Интернета вещей (IoT).

Класс IoTDevice обладает следующими особенностями:

1. Конструктор `__init__`: Класс имеет конструктор,
который принимает два параметра - серийный номер и имя устройства.
Эти параметры инициализируют соответствующие атрибуты экземпляра.

2. Метод `__str__`: Класс определяет метод `__str__`, который возвращает строковое представление объекта
`IoTDevice`. Это строковое представление включает серийный номер и имя устройства.

3. Метод класса `create_device`: Класс имеет метод класса `create_device`,
который позволяет создавать экземпляры `IoTDevice`.
Он принимает серийный номер и имя устройства и возвращает новый экземпляр класса.

Класс `IoTDevice` служит базовым классом для представления устройств IoT
и может быть использован для создания конкретных типов устройств, таких как датчики, лампы и другие.

"""


class IoTDevice:
    def __init__(self, serial_number, name):
        self.serial_number = serial_number
        self.name = name

    def __str__(self):
        return f"IoT устройство ({self.serial_number}): {self.name}"

    @classmethod
    def create_device(cls, serial_number, name):
        return cls(serial_number, name)
